from django.urls import path
from .views import HomepageView,BooksListView,BooksDetailView,AuthorListView,AuthorDetailView

urlpatterns = [
    path('', HomepageView, name='homeview'),
    path('books', BooksListView.as_view(), name='books-list'),
    path('books/<int:pk>', BooksDetailView.as_view(), name='books-detail'),
    path('authors', AuthorListView.as_view(), name='authors-list'),
    path('authors/<int:pk>', AuthorDetailView.as_view(), name='authors-detail'),
    ]

app_name = "bookshelf"