from django.http import HttpResponse
from django.views import View
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView
from django.shortcuts import render
from .models import Author, Books

def HomepageView(request):
    return render(request, 'bookshelf/home.html', {'name':'Ian'})

class BooksListView(ListView):
    model = Books  

class BooksDetailView(DetailView):
    model = Books

class AuthorListView(ListView):
    model = Author

class AuthorDetailView(DetailView):
    model = Author

